using System;
using Server.Items;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a lizard corpse" )]
	public class Torax : BaseCreature
	{
		[Constructable]
		public Torax() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a torax";
			Body = 127;
			BaseSoundID = 0x5A;

			SetStr( 176, 200 );
			SetDex( 156, 175 );
			SetInt( 11, 20 );

			SetHits( 126, 160 );
			SetMana( 0 );

			SetDamage( 10, 24 );

			SetSkill( SkillName.MagicResist, 55.1, 70.0 );
			SetSkill( SkillName.Tactics, 70.1, 90.0 );
			SetSkill( SkillName.HandToHand, 70.1, 90.0 );

			Fame = 4000;
			Karma = -4000;

			VirtualArmor = 40;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Meager );
		}

		public override int Hides{ get{ return 12; } }

		public Torax(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);
			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);
			int version = reader.ReadInt();
		}
	}
}